package com.mingliqiye.gitea.releases.entitys;

import lombok.Data;
import lombok.ToString;

@ToString
@Data
public class KeyValue<T> {
    private String key;
    private T value;

    public static <K> KeyValue<K> of(String key, K value) {
        return new KeyValue<>(key, value);
    }

    public static <K> KeyValue<K> of() {
        return new KeyValue<>();
    }

    public KeyValue() {}

    public KeyValue(String key, T value) {
        this.key = key;
        this.value = value;
    }
}
